//
function Convert(){
	var r="";
	var t=gv("TXT_DATA");
	var d = t.split(/\n/);
    var c= d.length -1;
	var i;
	for(i=0;i<=c;i++){
		if(jL(d[i])>0){
			r=r+d[i]+",";
		}
	}	
	window.opener.document.Frm.TxtIMEI.value=r;
	window.opener.document.Frm.TxtProcesar.click();
	window.opener.document.Frm.CmdAdd.focus();
	window.close();
}
function vbTrimEx(lpStr){
	if(lpStr===undefined){
		return "";
	}
	if(typeof lpStr=='string'){
		return lpStr.trim();
	}
	if(typeof lpStr=='number'){
		return lpStr.toString().trim();
	}
	return lpStr;
}
//
function Procesar(AC){
	var HW=gv("HW");
	var r="";
	var AR="N";
	
	if(document.getElementById("Auto").checked==true){
		AR="S";
	}
	
	var t=gv("TXT_DATA");
	if(jL(t)==0){
		alert("El cuadro de datos esta vacio");
		return;
	}
	var DATA="";
	var d = t.split(/\n/);
    var c= d.length -1;
	var i;
	var cod,des,mea,pie,caj,uni,TPi,TUn1,TUn2;
	for(i=0;i<=c;i++){
		if(jL(d[i])>0){
			var dd=d[i].split(/\t/);
			if(dd.length >0){
				cod=vbTrimEx(dd[0]);
				des=vbTrimEx(dd[1]);
				mea=vbTrimEx(dd[2]);
				if(jL(cod)==0 && jL(des)==0){
					return;
				}
				pie=vbTrimEx(dd[3]);
				if(jVal(pie)<=0){
					//alert("El numero de piezas debe ser mayor a cero. Verificar el codigo : "+cod);
					//return;
				}
				caj=vbTrimEx(dd[4]);
				uni=vbTrimEx(dd[5]);
				TPi=vbTrimEx(dd[6]);
				TUn1=vbTrimEx(dd[7]);
				TUn2=vbTrimEx(dd[8]);
				Pre=vbTrimEx(dd[9]);
				//
				//alert("cod:"+cod+" | des:"+des+" | pie:"+pie+" | caj:"+caj+" | uni:"+uni+" | tpi:"+TPi+" | tu1:"+TUn1+" | tu2:"+TUn2+" | pre:"+Pre+"@");
				//
				DATA=DATA+cod+"|"+des+"|"+pie+"|"+caj+"|"+uni+"|"+TPi+"|"+TUn1+"|"+TUn2+"|"+Pre+"|"+mea+"@";
			}
		}
	}
	//alert("OK");
	//return;
	//alert(DATA);
	if(jL(DATA)>0){
		sv("COM_DATA",DATA);	
		//xp.php		
		var r=AX_("01",DATA,AR,HW,AC);	
		r=r.split("|");		
		if(r[0]=="OK"){
			sv("TXT_DATA",r[1]);
		}
		document.getElementById("CmdAx").disabled=true;
		document.getElementById("CmdRe").disabled=true;
		alert("Proceso completado");
		window.opener.document.Frm.CmdUP.click()
	}	
}
function fAnexar(){
	if(pre("Esta seguro que desea anexar los datos?")==false){
		return false;
	}
	Procesar("AN");
}
function fReemplazar(){
	if(pre("Esta seguro que desea reemplazar los datos?")==false){
		return false;
	}
	Procesar("RE");
}